Skip to main content
PATCH
/
orgs
/
{org_id}
/
pages
/
{page_ref}
/
blocks
/
{block_id}
Update a block
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}/blocks/{block_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "shared": {},
    "heading": {
      "text": "<string>",
      "level": 1
    },
    "text": {
      "markdown": "<string>"
    },
    "stat": {
      "label": "<string>",
      "filter": {
        "type": "rule",
        "key": "<string>",
        "value": "<unknown>"
      },
      "compare": "previous_period"
    },
    "chart": {
      "label": "<string>",
      "filter": {
        "type": "rule",
        "key": "<string>",
        "value": "<unknown>"
      },
      "limit": 25
    },
    "table": {
      "limit": 25
    },
    "pages": {
      "page_ids": [
        "<string>"
      ]
    }
  },
  "table_id": "<string>",
  "view_id": "<string>"
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}/blocks/{block_id}"

payload = {
"config": {
"shared": {},
"heading": {
"text": "<string>",
"level": 1
},
"text": { "markdown": "<string>" },
"stat": {
"label": "<string>",
"filter": {
"type": "rule",
"key": "<string>",
"value": "<unknown>"
},
"compare": "previous_period"
},
"chart": {
"label": "<string>",
"filter": {
"type": "rule",
"key": "<string>",
"value": "<unknown>"
},
"limit": 25
},
"table": { "limit": 25 },
"pages": { "page_ids": ["<string>"] }
},
"table_id": "<string>",
"view_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
shared: {},
heading: {text: '<string>', level: 1},
text: {markdown: '<string>'},
stat: {
label: '<string>',
filter: {type: 'rule', key: '<string>', value: '<unknown>'},
compare: 'previous_period'
},
chart: {
label: '<string>',
filter: {type: 'rule', key: '<string>', value: '<unknown>'},
limit: 25
},
table: {limit: 25},
pages: {page_ids: ['<string>']}
},
table_id: '<string>',
view_id: '<string>'
})
};

fetch('https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}/blocks/{block_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "block_5Fb7…",
  "page_id": "page_5Fb7…",
  "config": {
    "shared": {},
    "heading": {
      "text": "<string>",
      "level": 1
    },
    "text": {
      "markdown": "<string>"
    },
    "stat": {
      "label": "<string>",
      "metric": {
        "field_key": "<string>"
      },
      "window": {
        "field_key": "<string>"
      },
      "filter": {
        "type": "rule",
        "key": "<string>",
        "value": "<unknown>"
      },
      "compare": "previous_period"
    },
    "chart": {
      "label": "<string>",
      "metric": {
        "field_key": "<string>"
      },
      "group_by": {
        "field_key": "<string>"
      },
      "window": {
        "field_key": "<string>"
      },
      "filter": {
        "type": "rule",
        "key": "<string>",
        "value": "<unknown>"
      },
      "limit": 25
    },
    "table": {
      "limit": 25
    },
    "pages": {
      "page_ids": [
        "<string>"
      ]
    }
  },
  "table_id": "<string>",
  "view_id": "<string>",
  "position": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

page_ref
string
required

Page slug or encoded page id

block_id
string
required

Block ID

Body

config
object
table_id
string | null
view_id
string | null

Response

200 - application/json
id
string
required
Example:

"block_5Fb7…"

page_id
string
required
Example:

"page_5Fb7…"

type
enum<string>
required
Available options:
heading,
text,
stat,
chart,
table,
pages
config
object
required
table_id
string | null
required

Source table for data blocks. Null when the table was deleted.

view_id
string | null
required

Embedded view for table blocks. Null when the view was deleted.

position
string
required

Fractional order within the page.

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required